import request from '@/utils/request'
export function SelectMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '发货管理_发货申请_发货单_机床_查询',
      param: '机床图号=' + arguments[0]
    }
  })
}
export function ProcessOutsourcing() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '工序外协_综合查询',
      param: '机床流水号=' + arguments[0]
    }
  })
}
export function ProcessProportion() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '工序外协_工序占比_综合查询',
      param: '机床流水号=' + arguments[0]
    }
  })
}
export function searchMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '机床总查询',
      param: '机床流水号_check=' + arguments[0] + '&机床流水号=' + arguments[1]
    }
  })
}
export function searchAll() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '1_总查询',
      param: '机床流水号=' + arguments[0]
    }
  })
}
